## kf6-kio 6.13.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.13.0") # handled by release scripts
set(KF_DEP_VERSION "6.13.0") # handled by release scripts

project(KIO VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 6.13.0 NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake )

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDEPackageAppTemplates)

include(ECMGenerateExportHeader)
include(ECMMarkAsTest)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMAddQch)
include(ECMMarkNonGuiExecutable)
include(ECMQtDeclareLoggingCategory)
include(ECMSourceVersionControl)
include(ECMDeprecationSettings)

ecm_setup_version(
  PROJECT
  VARIABLE_PREFIX KIO
  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/kio_version.h"
  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6KIOConfigVersion.cmake"
  SOVERSION 6)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(KIOCORE_ONLY "Only compile KIOCore, not KIOWidgets or anything that depends on it. This will disable support for cookies and passwordhandling (prompting and storing)." OFF)

# Enable state assertion by default on Jenkins and from-git builds.
# This option should eventually be dropped and always be enabled.
set(ASSERT_WORKER_STATES_DEFAULT OFF)
if(DEFINED ENV{JENKINS_SERVER_COOKIE} OR ECM_SOURCE_UNDER_VERSION_CONTROL)
    set(ASSERT_WORKER_STATES_DEFAULT ON)
endif()
option(KIO_ASSERT_WORKER_STATES
    "Used to control whether worker state assertions are enabled. When not enabled only warnings are generated."
    ${ASSERT_WORKER_STATES_DEFAULT})

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")

option(USE_FTPD_WSGIDAV_UNITTEST "Use ftpd Ruby Gem (for ftptest) and wsgidav Python module (for webdavtest) in unittests. Note that this is a temporary option that will be removed when distros add those packages in their repos." OFF)

find_package(KF6Archive ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF6CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Service ${KF_DEP_VERSION} REQUIRED)
find_package(KF6DocTools ${KF_DEP_VERSION})
find_package(KF6Solid ${KF_DEP_VERSION} REQUIRED) # for kio_trash
if (NOT ANDROID)
    find_package(KF6Crash ${KF_DEP_VERSION} REQUIRED)
endif()

if (NOT KIOCORE_ONLY)
find_package(KF6Bookmarks ${KF_DEP_VERSION} REQUIRED)
find_package(KF6ColorScheme ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Completion ${KF_DEP_VERSION} REQUIRED)
find_package(KF6GuiAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6IconThemes ${KF_DEP_VERSION} REQUIRED)
find_package(KF6ItemViews ${KF_DEP_VERSION} REQUIRED)
find_package(KF6JobWidgets ${KF_DEP_VERSION} REQUIRED)
find_package(KF6WidgetsAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6WindowSystem ${KF_DEP_VERSION} REQUIRED)

find_package(KF6KDED ${KF_DEP_VERSION})
set_package_properties(KF6KDED PROPERTIES DESCRIPTION "Daemon providing session services"
                       TYPE RUNTIME
                       PURPOSE "KDED is used at runtime for proxy management and cookie storage"
                      )

find_package(SwitcherooControl)
set_package_properties(SwitcherooControl PROPERTIES
    TYPE RUNTIME
    PURPOSE "Hybrid GPU support"
)

endif()

if (UNIX AND NOT ANDROID)
    find_package(KF6Auth ${KF_DEP_VERSION} REQUIRED)
endif()

# tell what is missing without doctools
set_package_properties(KF6DocTools PROPERTIES DESCRIPTION "Provides tools to generate documentation in various format from DocBook files"
                       TYPE OPTIONAL
                       PURPOSE "Required to build help KIO worker and documentation"
                      )

set(REQUIRED_QT_VERSION 6.6.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets Network Concurrent Xml Test)

if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

# shall we use DBus?
# enabled per default on Linux & BSD systems
set(USE_DBUS_DEFAULT OFF)
if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    set(USE_DBUS_DEFAULT ON)
endif()
option(USE_DBUS "Build components using DBus" ${USE_DBUS_DEFAULT})
set(DBUS_LIB)
if(USE_DBUS)
    find_package(KF6DBusAddons ${KF_DEP_VERSION} REQUIRED)
    find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
    set(HAVE_QTDBUS ${Qt6DBus_FOUND})
    add_definitions(-DWITH_QTDBUS)
    set(DBUS_LIB Qt6::DBus)
endif()

if (Qt6Core_VERSION VERSION_LESS 6.7.0)
    find_package(Qt6Core5Compat ${REQUIRED_QT_VERSION} REQUIRED) # QTextCodec
endif()

if (NOT APPLE AND NOT WIN32 AND NOT ANDROID AND NOT HAIKU)
    option(WITH_X11 "Build with X11 integration" ON)
    set(HAVE_X11 ${WITH_X11})

    option(WITH_WAYLAND "Build with Wayland integration" ON)
    set(HAVE_WAYLAND ${WITH_WAYLAND})
endif()

find_package(ACL)
set(HAVE_LIBACL ${ACL_FOUND})
set(HAVE_POSIX_ACL ${ACL_FOUND})
set_package_properties(ACL PROPERTIES DESCRIPTION "LibACL"
                       URL "ftp://oss.sgi.com/projects/xfs/cmd_tars"
                       TYPE RECOMMENDED
                       PURPOSE "Support for manipulating access control lists")

# Used by KMountPoint
if (CMAKE_SYSTEM_NAME MATCHES "Linux")
    find_package(LibMount REQUIRED)
    set(HAVE_LIB_MOUNT ${LibMount_FOUND})
endif()

ecm_set_disabled_deprecation_versions(
    QT 6.9.0
    KF 6.12.0
)

add_definitions(-DTRANSLATION_DOMAIN=\"kio6\")
ki18n_install(po)

if (KF6DocTools_FOUND)
    kdoctools_install(po)
endif()

if (KF6DocTools_FOUND)
     add_subdirectory(docs)
endif()

include(CheckLibraryExists)
add_subdirectory(src)

if(BUILD_TESTING)
    add_subdirectory(autotests)
    if (NOT KIOCORE_ONLY)
        add_subdirectory(tests)
    endif()
endif()

add_subdirectory(templates)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6KIO")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF6KIO_QCH
        FILE KF6KIOQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6KIOQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6KIOConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6KIOConfig.cmake"
  PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6KIOConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6KIOConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF6KIOTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6KIOTargets.cmake NAMESPACE KF6:: )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/src/kio_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KIO COMPONENT Devel)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== docs/CMakeLists.txt ===
add_subdirectory(kioworker6)

=== tests/CMakeLists.txt ===
include(ECMMarkAsTest)

remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)

macro(KIOWIDGETS_EXECUTABLE_TESTS)
  foreach(_testname ${ARGN})
    add_executable(${_testname} ${_testname}.cpp)
    target_link_libraries(${_testname}
       KF6::KIOCore
       KF6::KIOGui
       KF6::KIOWidgets
       KF6::KIOFileWidgets
       Qt6::Test
       KF6::WidgetsAddons
       KF6::IconThemes)
    ecm_mark_as_test(${_testname})
  endforeach()
endmacro(KIOWIDGETS_EXECUTABLE_TESTS)

if (HAVE_QTDBUS)
KIOWIDGETS_EXECUTABLE_TESTS(
    getalltest
    kdirlistertest_gui
    kdirmodeltest_gui
    kemailclientlauncherjobtest_gui
    kencodingfiledialogtest_gui
    kfilecustomdialogtest_gui
    kfilecustomdialogtest_gui_select_dir_mode
    kfilewidgettest_gui
    kfilewidgettest_saving_gui
    kioworkertest
    kmountpoint_debug
    kopenwithtest
    kpropertiesdialogtest
    kprotocolinfo_dumper
    kruntest
    ksycocaupdatetest
    kterminallauncherjobtest_gui
    kurlnavigatortest_gui
    kurlrequestertest_gui
    listjobtest
    openfilemanagerwindowtest
    previewtest
    ${runapplication_EXE}
)

add_subdirectory(messageboxworker)
endif()

=== tests/messageboxworker/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Friedrich W. H. Kossebau <kossebau@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_library(kiomessagebox MODULE)
set_target_properties(kiomessagebox PROPERTIES OUTPUT_NAME "messagebox")

target_sources(kiomessagebox PRIVATE
    messageboxworker.cpp
)

target_link_libraries(kiomessagebox
    KF6::KIOCore
)

# Uncomment to deploy
# install(TARGETS kiomessagebox DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kio)

=== src/kioworkers/help/CMakeLists.txt ===
# kio_help only buildable if doc tools around
if (KF6DocTools_FOUND)

find_package(KF6Archive ${KF_DEP_VERSION} REQUIRED)
find_package(LibXslt)
set_package_properties(LibXslt PROPERTIES
                       URL "http://xmlsoft.org/XSLT"
                       TYPE REQUIRED
                       PURPOSE "Required by the KDE help system to process DocBook XML"
                      )

find_package(LibXml2)
set_package_properties(LibXml2 PROPERTIES
                       URL "http://xmlsoft.org"
                       TYPE REQUIRED
                       PURPOSE "Required by the KDE help system to process DocBook XML"
                      )

include_directories(${LIBXML2_INCLUDE_DIR} ${LIBXSLT_INCLUDE_DIR})

include(ConfigureChecks.cmake)
configure_file(config-help.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-help.h )

#macro_additional_clean_files( ${CMAKE_CURRENT_BINARY_DIR}/checkXML )

find_package(Qt6Core ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)

########### next target ###############
kcoreaddons_add_plugin(kio_help INSTALL_NAMESPACE "kf6/kio")

target_sources(kio_help PRIVATE
    kio_help.cpp
    main.cpp
    xslt_help.cpp
)

target_link_libraries(kio_help
   Qt6::Gui # QTextDocument
   Qt6::Network
   KF6::I18n
   KF6::Archive
   KF6::KIOCore
   KF6::DocTools
   ${LIBXML2_LIBRARIES}
   ${LIBXSLT_LIBRARIES}
   ${LIBXSLT_EXSLT_LIBRARIES}
)

install(TARGETS kio_help  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kio)


########### next target ###############
kcoreaddons_add_plugin(kio_ghelp INSTALL_NAMESPACE "kf6/kio")

target_sources(kio_ghelp PRIVATE
    kio_help.cpp
    main_ghelp.cpp
    xslt_help.cpp
)

target_link_libraries(kio_ghelp
   Qt6::Gui # QTextDocument
   KF6::I18n
   KF6::Archive
   KF6::KIOCore
   KF6::DocTools
   Qt6::Network
   ${LIBXML2_LIBRARIES}
   ${LIBXSLT_LIBRARIES}
   ${LIBXSLT_EXSLT_LIBRARIES}
)
if(WIN32)
    # libxml/libxslt pulls in windows.h, this breaks QDateTime
    target_compile_definitions(kio_help PRIVATE NOMINMAX)
    target_compile_definitions(kio_ghelp PRIVATE NOMINMAX)
endif()

endif()

=== src/schemehandlers/telnet/CMakeLists.txt ===

add_executable(ktelnetservice6 ktelnetservice.cpp)
ecm_mark_nongui_executable(ktelnetservice6)

target_link_libraries(ktelnetservice6
   Qt6::Widgets
   KF6::I18n
   KF6::KIOGui
)

install(TARGETS ktelnetservice6 ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS ktelnetservice6.desktop DESTINATION ${KDE_INSTALL_APPDIR})

=== src/urifilters/fixhost/CMakeLists.txt ===
kcoreaddons_add_plugin(fixhosturifilter SOURCES fixhosturifilter.cpp INSTALL_NAMESPACE "kf6/urifilters")

target_link_libraries(fixhosturifilter KF6::KIOGui)

=== src/urifilters/ikws/CMakeLists.txt ===
add_subdirectory(searchproviders)

add_library(kuriikwsfiltereng_private kuriikwsfiltereng.cpp searchprovider.cpp searchproviderregistry.cpp)
generate_export_header(kuriikwsfiltereng_private) # We need this to be a shared lib, because otherwise we have duplicate Q_GLOBAL_STATICs
target_link_libraries(kuriikwsfiltereng_private PUBLIC KF6::KIOGui)
install(TARGETS kuriikwsfiltereng_private ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

kcoreaddons_add_plugin(kuriikwsfilter SOURCES kuriikwsfilter.cpp INSTALL_NAMESPACE "kf6/urifilters")

ecm_qt_export_logging_category(
    IDENTIFIER category
    CATEGORY_NAME kf.kio.urifilters.ikws
    OLD_CATEGORY_NAMES org.kde.kurifilter-ikws
    DEFAULT_SEVERITY Warning
    DESCRIPTION "KUriFilter IKWS (KIO)"
    EXPORT KIO
)

target_link_libraries(kuriikwsfilter
    KF6::I18n
    kuriikwsfiltereng_private
)

kcoreaddons_add_plugin(kurisearchfilter SOURCES kurisearchfilter.cpp INSTALL_NAMESPACE "kf6/urifilters")

target_link_libraries(kurisearchfilter
   kuriikwsfiltereng_private
)

=== src/urifilters/ikws/searchproviders/CMakeLists.txt ===



########### install files ###############
file(GLOB providersfile *.desktop)
install( FILES ${providersfile} DESTINATION
${KDE_INSTALL_DATADIR_KF}/searchproviders)

=== debian/changelog ===
kf6-kio (6.13.0-6) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Correctly suffix symbols introduced in 6.13.0-4, thanks Sebastinas
    for the clarification.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 08 Jun 2025 14:42:29 +0200

kf6-kio (6.13.0-5) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Suffix symbols introduced in the last upload  with ~ since they were
    added after the initial upload of that upstream release.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jun 2025 23:09:58 +0200

kf6-kio (6.13.0-4) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Backport upstream commits:
    - Show single-click selection emblem in open/save dialogs when using
    single-click mouse mode. (kde#185793)
    - When saving a file, don’t override user provided filename with folder
    name when navigating inside a folder with the keyboard. (kde#502794)
    - Fix actions described by D-Bus activatable desktop files not being
    triggered when there’s no Exec key.
    - Inhibit suspend while there’s a file copy job running. (kde#362542)
      - Update symbols accordingly.
    - Show busy indictor while emptying the trash.
    - Fix keyboard navigation unexpectedly switching to file name input when
    navigating the files panel in save dialogs. (kde#466206)
    - Fix excessive I/O when hovering over a folder showing thumbnails of its
    contents.
    - Fix incorrect usage percentage in Properties dialog for virtual
    filesystems.
    - Fix opening the “Advanced Options” window from the file properties dialog
    freezing Plasma completely until it’s closed. (kde#504608)

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 20 May 2025 08:47:36 +0200

kf6-kio (6.13.0-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Backport patch to use an arrow separator for separating folders.

 -- Patrick Franz <deltaone@debian.org>  Fri, 25 Apr 2025 22:41:52 +0200

kf6-kio (6.13.0-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Sun, 13 Apr 2025 09:16:12 +0200

kf6-kio (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from buildlogs.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:37:26 +0200

=== debian/control ===
Source: kf6-kio
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-sodeps,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.13.0~),
               gettext,
               kded6-dev (>= 6.13.0~),
               libacl1-dev,
               libkf6archive-dev (>= 6.13.0~),
               libkf6auth-dev (>= 6.13.0~),
               libkf6bookmarks-dev (>= 6.13.0~),
               libkf6colorscheme-dev (>= 6.13.0~),
               libkf6completion-dev (>= 6.13.0~),
               libkf6config-dev (>= 6.13.0~),
               libkf6configwidgets-dev (>= 6.7.0~),
               libkf6coreaddons-dev (>= 6.13.0~),
               libkf6crash-dev (>= 6.13.0~),
               libkf6dbusaddons-dev (>= 6.13.0~),
               libkf6doctools-dev (>= 6.13.0~),
               libkf6guiaddons-dev (>= 6.13.0~),
               libkf6i18n-dev (>= 6.13.0~),
               libkf6iconthemes-dev (>= 6.13.0~),
               libkf6itemviews-dev (>= 6.13.0~),
               libkf6jobwidgets-dev (>= 6.13.0~),
               libkf6service-dev (>= 6.13.0~),
               libkf6solid-dev (>= 6.13.0~),
               libkf6wallet-dev (>= 6.13.0~),
               libkf6widgetsaddons-dev (>= 6.13.0~),
               libkf6windowsystem-dev (>= 6.13.0~),
               libmount-dev [linux-any],
               libxml2-dev,
               libxslt1-dev,
               qt6-5compat-dev (>= 6.6.0~),
               qt6-base-dev (>= 6.6.0~),
               qt6-base-private-dev (>= 6.6.0~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kio
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kio
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kio.git
Rules-Requires-Root: no

Package: kio6
Architecture: any
Depends: kded6, ${misc:Depends}, ${shlibs:Depends},
Recommends: switcheroo-control [amd64 i386], systemsettings,
Description: resource and network access abstraction
 KDE Input/Output framework provides a single API for
 operating on files, whether local or on a remote server.
 Additionally, KIO Slaves provide support for individual
 protocols. Some particularly useful ones are http, ftp,
 sftp, smb, nfs, ssh (fish), man, tar and zip.

Package: libkf6kio-dev
Section: libdevel
Architecture: any
Depends: libkf6bookmarks-dev (>= 6.13.0~),
         libkf6completion-dev (>= 6.13.0~),
         libkf6config-dev (>= 6.13.0~),
         libkf6coreaddons-dev (>= 6.13.0~),
         libkf6itemviews-dev (>= 6.13.0~),
         libkf6jobwidgets-dev (>= 6.13.0~),
         libkf6service-dev (>= 6.13.0~),
         libkf6solid-dev (>= 6.13.0~),
         libkf6widgetsaddons-dev (>= 6.13.0~),
         libkf6windowsystem-dev (>= 6.13.0~),
         qt6-base-dev (>= 6.6.0~),
         ${misc:Depends},
         ${shlibs:Depends},
         ${so:Depends},
Recommends: libkf6kio-doc (= ${source:Version}),
Description: resource and network access abstraction (development files)
 KDE Input/Output framework provides a single API for
 operating on files, whether local or on a remote server.
 Additionally, KIO Slaves provide support for individual
 protocols. Some particularly useful ones are http, ftp,
 sftp, smb, nfs, ssh (fish), man, tar and zip.
 .
 This package contains the development files for kio.

Package: libkf6kio-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: resource and network access abstraction (documentation)
 KDE Input/Output framework provides a single API for
 operating on files, whether local or on a remote server.
 Additionally, KIO Slaves provide support for individual
 protocols. Some particularly useful ones are http, ftp,
 sftp, smb, nfs, ssh (fish), man, tar and zip.
 .
 This package contains the QCH documentation files.

Package: libkf6kiocore6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: resource and network access abstraction (KIO core library)
 KDE Input/Output framework provides a single API for
 operating on files, whether local or on a remote server.
 Additionally, KIO Slaves provide support for individual
 protocols. Some particularly useful ones are http, ftp,
 sftp, smb, nfs, ssh (fish), man, tar and zip.
 .
 This library contains the core classes.

Package: libkf6kiofilewidgets6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: resource and network access abstraction (KIO file widgets library)
 KDE Input/Output framework provides a single API for
 operating on files, whether local or on a remote server.
 Additionally, KIO Slaves provide support for individual
 protocols. Some particularly useful ones are http, ftp,
 sftp, smb, nfs, ssh (fish), man, tar and zip.
 .
 This library contains some file dialog widgets.

Package: libkf6kiogui6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: resource and network access abstraction (KIO gui library)
 KDE Input/Output framework provides a single API for
 operating on files, whether local or on a remote server.
 Additionally, KIO Slaves provide support for individual
 protocols. Some particularly useful ones are http, ftp,
 sftp, smb, nfs, ssh (fish), man, tar and zip.
 .
 This library contains gui related jobs.

Package: libkf6kiowidgets6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: resource and network access abstraction (KIO widgets library)
 KDE Input/Output framework provides a single API for
 operating on files, whether local or on a remote server.
 Additionally, KIO Slaves provide support for individual
 protocols. Some particularly useful ones are http, ftp,
 sftp, smb, nfs, ssh (fish), man, tar and zip.
 .
 This library contains some UI widgets.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

include /usr/share/dpkg/architecture.mk

ifneq (linux,$(DEB_HOST_ARCH_OS))
        EXTRA_CMAKE_ARGS += -DWITH_WAYLAND=OFF
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=OFF $(EXTRA_CMAKE_ARGS)

override_dh_shlibdeps:
	dh_shlibdeps $(patsubst %,-p%,$(filter lib%,$(shell dh_listpackages))) -- -xkio6
	dh_shlibdeps --remaining-packages

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## kf6-kio 6.15.0

=== debian/changelog ===
kf6-kio (6.15.0-0ubuntu0~tux2) noble; urgency=medium

  * add patch to prevent dolphin crash with smb://foobar uri

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Wed, 13 Aug 2025 14:45:35 +0200

kf6-kio (6.15.0-0ubuntu0~tux1) noble; urgency=medium

  * New upstream release.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Mon, 23 Jun 2025 19:50:03 +0200

kf6-kio (6.12.0-0ubuntu1~tux1) noble; urgency=medium

  * Non-maintainer upload.
  * rebuild

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Fri, 28 Mar 2025 10:12:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,57 +1,61 @@
 Source: kf6-kio
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-sodeps,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.13.0~),
+               extra-cmake-modules (>= 6.14.0~),
                gettext,
-               kded6-dev (>= 6.13.0~),
+               kded6-dev (>= 6.15.0~),
                libacl1-dev,
-               libkf6archive-dev (>= 6.13.0~),
-               libkf6auth-dev (>= 6.13.0~),
-               libkf6bookmarks-dev (>= 6.13.0~),
-               libkf6colorscheme-dev (>= 6.13.0~),
-               libkf6completion-dev (>= 6.13.0~),
-               libkf6config-dev (>= 6.13.0~),
-               libkf6configwidgets-dev (>= 6.7.0~),
-               libkf6coreaddons-dev (>= 6.13.0~),
-               libkf6crash-dev (>= 6.13.0~),
-               libkf6dbusaddons-dev (>= 6.13.0~),
-               libkf6doctools-dev (>= 6.13.0~),
-               libkf6guiaddons-dev (>= 6.13.0~),
-               libkf6i18n-dev (>= 6.13.0~),
-               libkf6iconthemes-dev (>= 6.13.0~),
-               libkf6itemviews-dev (>= 6.13.0~),
-               libkf6jobwidgets-dev (>= 6.13.0~),
-               libkf6service-dev (>= 6.13.0~),
-               libkf6solid-dev (>= 6.13.0~),
-               libkf6wallet-dev (>= 6.13.0~),
-               libkf6widgetsaddons-dev (>= 6.13.0~),
-               libkf6windowsystem-dev (>= 6.13.0~),
+               libkf6archive-dev (>= 6.15.0~),
+               libkf6auth-dev (>= 6.15.0~),
+               libkf6bookmarks-dev (>= 6.15.0~),
+               libkf6colorscheme-dev (>= 6.15.0~),
+               libkf6completion-dev (>= 6.15.0~),
+               libkf6config-dev (>= 6.15.0~),
+               libkf6configwidgets-dev (>= 6.15.0~),
+               libkf6coreaddons-dev (>= 6.15.0~),
+               libkf6crash-dev (>= 6.15.0~),
+               libkf6dbusaddons-dev (>= 6.15.0~),
+               libkf6doctools-dev (>= 6.15.0~),
+               libkf6guiaddons-dev (>= 6.15.0~),
+               libkf6i18n-dev (>= 6.15.0~),
+               libkf6iconthemes-dev (>= 6.15.0~),
+               libkf6itemviews-dev (>= 6.15.0~),
+               libkf6jobwidgets-dev (>= 6.15.0~),
+               libkf6service-dev (>= 6.15.0~),
+               libkf6solid-dev (>= 6.15.0~),
+               libkf6wallet-dev (>= 6.15.0~),
+               libkf6widgetsaddons-dev (>= 6.15.0~),
+               libkf6windowsystem-dev (>= 6.15.0~),
                libmount-dev [linux-any],
                libxml2-dev,
                libxslt1-dev,
                qt6-5compat-dev (>= 6.6.0~),
                qt6-base-dev (>= 6.6.0~),
-               qt6-base-private-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kio
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kio
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kio.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kio
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kio
 Rules-Requires-Root: no
 
 Package: kio6
 Architecture: any
-Depends: kded6, ${misc:Depends}, ${shlibs:Depends},
-Recommends: switcheroo-control [amd64 i386], systemsettings,
+Depends: kded6,
+         kwallet6,
+         ${misc:Depends},
+         ${shlibs:Depends},
+Recommends: switcheroo-control [amd64 i386],
+Suggests: systemsettings,
 Description: resource and network access abstraction
  KDE Input/Output framework provides a single API for
  operating on files, whether local or on a remote server.
@@ -62,17 +66,17 @@
 Package: libkf6kio-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6bookmarks-dev (>= 6.13.0~),
-         libkf6completion-dev (>= 6.13.0~),
-         libkf6config-dev (>= 6.13.0~),
-         libkf6coreaddons-dev (>= 6.13.0~),
-         libkf6itemviews-dev (>= 6.13.0~),
-         libkf6jobwidgets-dev (>= 6.13.0~),
-         libkf6service-dev (>= 6.13.0~),
-         libkf6solid-dev (>= 6.13.0~),
-         libkf6widgetsaddons-dev (>= 6.13.0~),
-         libkf6windowsystem-dev (>= 6.13.0~),
-         qt6-base-dev (>= 6.6.0~),
+Depends: libkf6bookmarks-dev (>= 6.12.0~),
+         libkf6completion-dev (>= 6.12.0~),
+         libkf6config-dev (>= 6.12.0~),
+         libkf6coreaddons-dev (>= 6.12.0~),
+         libkf6itemviews-dev (>= 6.12.0~),
+         libkf6jobwidgets-dev (>= 6.12.0~),
+         libkf6service-dev (>= 6.12.0~),
+         libkf6solid-dev (>= 6.12.0~),
+         libkf6widgetsaddons-dev (>= 6.12.0~),
+         libkf6windowsystem-dev (>= 6.12.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
          ${shlibs:Depends},
          ${so:Depends},

## kf6-kio 6.16.0

=== debian/changelog ===
kf6-kio (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:44:38 +0100

kf6-kio (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)
  * Comment out .install for docs packages for now, as the qch docs are
    currently not buildable in Ubuntu.
  * debian/rules: Do not build python bindings.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:33:36 +0100

kf6-kio (6.14.0-0ubuntu2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 10:06:59 +0200

kf6-kio (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 06:58:10 +0100

=== debian/control ===
--- 
+++ 
@@ -11,31 +11,31 @@
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-sodeps,
                doxygen,
-               extra-cmake-modules (>= 6.14.0~),
+               extra-cmake-modules (>= 6.16.0~),
                gettext,
-               kded6-dev (>= 6.15.0~),
+               kded6-dev (>= 6.16.0~),
                libacl1-dev,
-               libkf6archive-dev (>= 6.15.0~),
-               libkf6auth-dev (>= 6.15.0~),
-               libkf6bookmarks-dev (>= 6.15.0~),
-               libkf6colorscheme-dev (>= 6.15.0~),
-               libkf6completion-dev (>= 6.15.0~),
-               libkf6config-dev (>= 6.15.0~),
-               libkf6configwidgets-dev (>= 6.15.0~),
-               libkf6coreaddons-dev (>= 6.15.0~),
-               libkf6crash-dev (>= 6.15.0~),
-               libkf6dbusaddons-dev (>= 6.15.0~),
-               libkf6doctools-dev (>= 6.15.0~),
-               libkf6guiaddons-dev (>= 6.15.0~),
-               libkf6i18n-dev (>= 6.15.0~),
-               libkf6iconthemes-dev (>= 6.15.0~),
-               libkf6itemviews-dev (>= 6.15.0~),
-               libkf6jobwidgets-dev (>= 6.15.0~),
-               libkf6service-dev (>= 6.15.0~),
-               libkf6solid-dev (>= 6.15.0~),
-               libkf6wallet-dev (>= 6.15.0~),
-               libkf6widgetsaddons-dev (>= 6.15.0~),
-               libkf6windowsystem-dev (>= 6.15.0~),
+               libkf6archive-dev (>= 6.16.0~),
+               libkf6auth-dev (>= 6.16.0~),
+               libkf6bookmarks-dev (>= 6.16.0~),
+               libkf6colorscheme-dev (>= 6.16.0~),
+               libkf6completion-dev (>= 6.16.0~),
+               libkf6config-dev (>= 6.16.0~),
+               libkf6configwidgets-dev (>= 6.16.0~),
+               libkf6coreaddons-dev (>= 6.16.0~),
+               libkf6crash-dev (>= 6.16.0~),
+               libkf6dbusaddons-dev (>= 6.16.0~),
+               libkf6doctools-dev (>= 6.16.0~),
+               libkf6guiaddons-dev (>= 6.16.0~),
+               libkf6i18n-dev (>= 6.16.0~),
+               libkf6iconthemes-dev (>= 6.16.0~),
+               libkf6itemviews-dev (>= 6.16.0~),
+               libkf6jobwidgets-dev (>= 6.16.0~),
+               libkf6service-dev (>= 6.16.0~),
+               libkf6solid-dev (>= 6.16.0~),
+               libkf6wallet-dev (>= 6.16.0~),
+               libkf6widgetsaddons-dev (>= 6.16.0~),
+               libkf6windowsystem-dev (>= 6.16.0~),
                libmount-dev [linux-any],
                libxml2-dev,
                libxslt1-dev,
@@ -66,16 +66,16 @@
 Package: libkf6kio-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6bookmarks-dev (>= 6.12.0~),
-         libkf6completion-dev (>= 6.12.0~),
-         libkf6config-dev (>= 6.12.0~),
-         libkf6coreaddons-dev (>= 6.12.0~),
-         libkf6itemviews-dev (>= 6.12.0~),
-         libkf6jobwidgets-dev (>= 6.12.0~),
-         libkf6service-dev (>= 6.12.0~),
-         libkf6solid-dev (>= 6.12.0~),
-         libkf6widgetsaddons-dev (>= 6.12.0~),
-         libkf6windowsystem-dev (>= 6.12.0~),
+Depends: libkf6bookmarks-dev (>= 6.16.0~),
+         libkf6completion-dev (>= 6.16.0~),
+         libkf6config-dev (>= 6.16.0~),
+         libkf6coreaddons-dev (>= 6.16.0~),
+         libkf6itemviews-dev (>= 6.16.0~),
+         libkf6jobwidgets-dev (>= 6.16.0~),
+         libkf6service-dev (>= 6.16.0~),
+         libkf6solid-dev (>= 6.16.0~),
+         libkf6widgetsaddons-dev (>= 6.16.0~),
+         libkf6windowsystem-dev (>= 6.16.0~),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
          ${shlibs:Depends},
